Bug 551508 - xinitrc-common needs to source ~/.profile
Summary: xinitrc-common needs to source ~/.profile
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-xinit
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-31 01:19 UTC by Felipe Contreras
Modified: 2018-04-11 14:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-02 19:46:43 UTC


Attachments (Terms of Use)

Description Felipe Contreras 2009-12-31 01:19:58 UTC
Since dbus is now started through 00-start-message-bus.sh, it's impossible to export environment variables like XDG_DATA_DIRS to it.

The only possible is modify xinitrc-common to include ~/.profile.

Comment 1 Felipe Contreras 2010-08-09 19:14:35 UTC
Is anybody going to take a look into this?

Comment 2 Bug Zapper 2010-11-04 02:11:12 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Felipe Contreras 2010-11-04 10:53:58 UTC
Same on F13.

Comment 4 Matěj Cepl 2010-11-04 14:01:20 UTC
(In reply to comment #1)
> Is anybody going to take a look into this?

Do you have a patch for this? Could you share it with us?

Comment 5 Felipe Contreras 2011-05-25 12:42:52 UTC
(In reply to comment #4)
> (In reply to comment #1)
> > Is anybody going to take a look into this?
> 
> Do you have a patch for this? Could you share it with us?


--- /etc/X11/xinit/xinitrc-common	2011-02-08 11:00:05.000000000 +0200
+++ /etc/X11/xinit/xinitrc-common	2011-05-25 15:40:00.953976382 +0300
@@ -17,6 +17,8 @@
   . /etc/profile.d/lang.sh
 fi
 
+[ -r $HOME/.profile ] && . $HOME/.profile
+
 userresources=$HOME/.Xresources
 usermodmap=$HOME/.Xmodmap
 userxkbmap=$HOME/.Xkbmap

Comment 6 Matěj Cepl 2011-05-27 23:04:06 UTC
(In reply to comment #5)
> +[ -r $HOME/.profile ] && . $HOME/.profile
> +
>  userresources=$HOME/.Xresources
>  usermodmap=$HOME/.Xmodmap
>  userxkbmap=$HOME/.Xkbmap

Scratch build for F13 with this patch http://koji.fedoraproject.org/koji/taskinfo?taskID=3097037. Please test and let me know.

Comment 7 Matěj Cepl 2011-05-27 23:25:24 UTC
Also pushed to Rawhide branch (not build yet, waiting for review), http://is.gd/zKfwv3

Comment 8 Bug Zapper 2011-06-02 17:01:39 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2011-06-27 14:44:20 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 10 Felipe Contreras 2011-07-15 09:55:38 UTC
Bumping.

Comment 11 Matěj Cepl 2011-07-15 22:17:07 UTC
Built in Rawhide http://koji.fedoraproject.org/koji/taskinfo?taskID=3202667

Please let me know if we can close this.

I am sorry for the delay.

Comment 12 Felipe Contreras 2012-02-02 19:46:43 UTC
Cool! I didn't notice this was already fixed. Thanks.


Note You need to log in before you can comment on or make changes to this bug.